MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026910Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-11-20 19:382016-12-09 16:38
Reportermsv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0026910: General fuse does not find intersection between line and circle
DescriptionThe distance between the line and the circle (see attached shape) is 1.09e-7, so an intersection must be found between them and both edges must be split using general fuse.

The script in steps to reproduce must give 5 vertices in the result shape. Now it give 4 vertices.
Steps To Reproducerestore line_circle.brep a
explode a
bclearobjects
bcleartools
baddobjects a_1
baddtools a_2
bfillds
bbuild r
explode r v
TagsNo tags attached.
Test case numberbugs modalg_6 bug26910
Attached Files? file icon line_circle.brep (3,262 bytes) 2015-11-20 19:38

- Relationships

-  Notes
(0057071)
bugmaster (administrator)
2016-08-25 16:49

Problem is not reproduced on current status of master
(0057072)
git (administrator)
2016-08-25 16:56

Branch CR26910 has been created by inv.

SHA-1: f6307e0ff7aac5bcb3c2ce4f86583e962abb3d08


Detailed log of new commits:

Author: bugmaster
Date: Thu Aug 25 16:57:08 2016 +0300

    0026910: General fuse does not find intersection between line and circle
    Adding testing case
(0057073)
bugmaster (administrator)
2016-08-25 16:58

bugs modalg_6 bug26910 test case has been added.
Result of execution is OK.
(0059549)
git (administrator)
2016-10-28 21:48

Branch CR26910 has been deleted by kgv.

SHA-1: f6307e0ff7aac5bcb3c2ce4f86583e962abb3d08

- Related Changesets
occt: master 45396f87
Timestamp: 2016-08-25 13:57:08
Author: bugmaster
Details ] Diff ]
0026910: General fuse does not find intersection between line and circle
Adding testing case
add - tests/bugs/modalg_6/bug26910 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-11-20 19:38 msv New Issue
2015-11-20 19:38 msv Assigned To => msv
2015-11-20 19:38 msv File Added: line_circle.brep
2016-08-25 12:51 bugmaster Assigned To msv => bugmaster
2016-08-25 16:49 bugmaster Note Added: 0057071
2016-08-25 16:56 git Note Added: 0057072
2016-08-25 16:57 bugmaster Test case number => bugs modalg_6 bug26910
2016-08-25 16:57 bugmaster Assigned To bugmaster => msv
2016-08-25 16:57 bugmaster Status new => resolved
2016-08-25 16:57 bugmaster Assigned To msv => bugmaster
2016-08-25 16:57 bugmaster Status resolved => reviewed
2016-08-25 16:58 bugmaster Note Added: 0057073
2016-08-25 16:58 bugmaster Status reviewed => tested
2016-09-02 10:27 bugmaster Changeset attached => occt master 45396f87
2016-09-02 10:27 bugmaster Status tested => verified
2016-09-02 10:27 bugmaster Resolution open => fixed
2016-10-28 21:48 git Note Added: 0059549
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker